Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes

# RSS Class Reference

## Public Member Functions
| RSS ()
| AddChannel ($Title, $Link, $Description, $RssLink)
| SetImage ($Url, $Height=NULL, $Width=NULL, $Description=NULL)
| SetEncoding ($Value)
| SetLanguage ($Value)
| SetCopyright ($Value)
| SetManagingEditor ($Value)
| SetWebmaster ($Value)
| SetPicsRating ($Value)
| SetPublicationDate ($Value)
| SetLastChangeDate ($Value)
| SetTextInput ($Title, $Description, $Name)
| SetSkipTimes ($Days, $Hours)
| SetCloud ($Domain, $Port, $Path, $Procedure, $Protocol)
| AddItem ($Title=NULL, $Link=NULL, $Description=NULL, $Date=NULL)
| AddItemCategory ($Category, $Url)
| AddItemEnclosure ($Url, $Length, $Type)
| AddItemSource ($Source, $Url)
| PrintRSS ()
## Public Attributes
| $Encoding
| $Channels
| $Items
| $ChannelCount
| $ItemCounts
| $ChannelIndex
| $ItemIndex

List of all members.

## Detailed Description

Definition at line 19 of file Axis--RSS.php.

## Member Function Documentation

RSS::AddChannel | ( | $ | Title,
|  | $ | Link,
|  | $ | Description,
|  | $ | RssLink
| ) |  |

Definition at line 32 of file Axis--RSS.php.

RSS::AddItem | ( | $ | Title = `NULL`,
|  | $ | Link = `NULL`,
|  | $ | Description = `NULL`,
|  | $ | Date = `NULL`
| ) |  |

Definition at line 74 of file Axis--RSS.php.

RSS::AddItemCategory | ( | $ | Category,
|  | $ | Url
| ) |  |

Definition at line 82 of file Axis--RSS.php.

RSS::AddItemEnclosure | ( | $ | Url,
|  | $ | Length,
|  | $ | Type
| ) |  |

Definition at line 87 of file Axis--RSS.php.

RSS::AddItemSource | ( | $ | Source,
|  | $ | Url
| ) |  |

Definition at line 93 of file Axis--RSS.php.

RSS::PrintRSS | ( | ) |

Definition at line 100 of file Axis--RSS.php.

References FTOut().

RSS::RSS | ( | ) |

Definition at line 23 of file Axis--RSS.php.

RSS::SetCloud | ( | $ | Domain,
|  | $ | Port,
|  | $ | Path,
|  | $ | Procedure,
|  | $ | Protocol
| ) |  |

Definition at line 68 of file Axis--RSS.php.

RSS::SetCopyright | ( | $ | Value ) |

Definition at line 52 of file Axis--RSS.php.

RSS::SetEncoding | ( | $ | Value ) |

Definition at line 50 of file Axis--RSS.php.

RSS::SetImage | ( | $ | Url,
|  | $ | Height = `NULL`,
|  | $ | Width = `NULL`,
|  | $ | Description = `NULL`
| ) |  |

Definition at line 41 of file Axis--RSS.php.

RSS::SetLanguage | ( | $ | Value ) |

Definition at line 51 of file Axis--RSS.php.

RSS::SetLastChangeDate | ( | $ | Value ) |

Definition at line 57 of file Axis--RSS.php.

RSS::SetManagingEditor | ( | $ | Value ) |

Definition at line 53 of file Axis--RSS.php.

RSS::SetPicsRating | ( | $ | Value ) |

Definition at line 55 of file Axis--RSS.php.

RSS::SetPublicationDate | ( | $ | Value ) |

Definition at line 56 of file Axis--RSS.php.

RSS::SetSkipTimes | ( | $ | Days,
|  | $ | Hours
| ) |  |

Definition at line 64 of file Axis--RSS.php.

RSS::SetTextInput | ( | $ | Title,
|  | $ | Description,
|  | $ | Name
| ) |  |

Definition at line 58 of file Axis--RSS.php.

RSS::SetWebmaster | ( | $ | Value ) |

Definition at line 54 of file Axis--RSS.php.

## Member Data Documentation

RSS::$ChannelCount

Definition at line 200 of file Axis--RSS.php.

RSS::$ChannelIndex

Definition at line 202 of file Axis--RSS.php.

RSS::$Channels

Definition at line 198 of file Axis--RSS.php.

RSS::$Encoding

Definition at line 197 of file Axis--RSS.php.

RSS::$ItemCounts

Definition at line 201 of file Axis--RSS.php.

RSS::$ItemIndex

Definition at line 203 of file Axis--RSS.php.

RSS::$Items

Definition at line 199 of file Axis--RSS.php.

The documentation for this class was generated from the following file:

- Axis--RSS.php